BadLocationException (Java Platform SE 8 )
Keywords: javax.swing.text.BadLocationException class
Date: 2026-04-17

javax.swing.text

## Class BadLocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.swing.text.BadLocationException

- All Implemented Interfaces:
    Serializable

      public class BadLocationException
      extends Exception

  This exception is to report bad locations within a document model (that is, attempts to reference a location that doesn't exist).

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BadLocationException(String s, int offs)` Creates a new BadLocationException object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `offsetRequested()` Returns the offset into the document that was not legal.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BadLocationException

          public BadLocationException(String s,
                                      int offs)

      Creates a new BadLocationException object.
      Parameters:
        `s` - a string indicating what was wrong with the arguments
        `offs` - offset within the document that was requested >= 0

  - ### Method Detail

    - #### offsetRequested

          public int offsetRequested()

      Returns the offset into the document that was not legal.
      Returns:
        the offset >= 0

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.